package com.uas.report;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * 不同环境下的配置信息（来自spring cloud）
 * 
 * @author sunyj
 * @since 2017年1月10日 下午3:32:30
 */
@Configuration
public class SpecialProperties {

	/**
	 * 本地资源根路径
	 */
	@Value("${localBaseDir}")
	private String localBaseDir;

	/**
	 * 本地资源图片路径
	 */
	@Value("${localImagesDir}")
	private String localImagesDir;

	/**
	 * 本地资源jrxml模板路径
	 */
	@Value("${localJrxmlDir}")
	private String localJrxmlDir;

	/**
	 * 标准账套（存放标准模板）
	 */
	@Value("${standardMaster}")
	private String standardMaster;

	/**
	 * 本地是否拥有标准模板
	 */
	@Value("${hasStandardJrxmls}")
	private boolean hasStandardJrxmls;

	/**
	 * 标准模板地址
	 */
	@Value("${standardJrxmlsUrl}")
	private String standardJrxmlsUrl;

	/**
	 * 主账套与其子帐套是否共用模板
	 */
	@Value("${shareJrxmlsWithSubMaster}")
	private boolean shareJrxmlsWithSubMaster;

	/**
	 * 数据源配置信息
	 */
	@Value("${datasource}")
	private String dataSourceInformation;

	public String getLocalBaseDir() {
		return localBaseDir;
	}

	public void setLocalBaseDir(String localBaseDir) {
		this.localBaseDir = localBaseDir;
	}

	public String getLocalImagesDir() {
		return localImagesDir;
	}

	public void setLocalImagesDir(String localImagesDir) {
		this.localImagesDir = localImagesDir;
	}

	public String getLocalJrxmlDir() {
		return localJrxmlDir;
	}

	public void setLocalJrxmlDir(String localJrxmlDir) {
		this.localJrxmlDir = localJrxmlDir;
	}

	public String getStandardMaster() {
		return standardMaster;
	}

	public void setStandardMaster(String standardMaster) {
		this.standardMaster = standardMaster;
	}

	public boolean hasStandardJrxmls() {
		return hasStandardJrxmls;
	}

	public void setHasStandardJrxmls(boolean hasStandardJrxmls) {
		this.hasStandardJrxmls = hasStandardJrxmls;
	}

	public String getStandardJrxmlsUrl() {
		return standardJrxmlsUrl;
	}

	public void setStandardJrxmlsUrl(String standardJrxmlsUrl) {
		this.standardJrxmlsUrl = standardJrxmlsUrl;
	}

	public boolean shareJrxmlsWithSubMaster() {
		return shareJrxmlsWithSubMaster;
	}

	public void setShareJrxmlsWithSubMaster(boolean shareJrxmlsWithSubMaster) {
		this.shareJrxmlsWithSubMaster = shareJrxmlsWithSubMaster;
	}

	public String getDataSourceInformation() {
		return dataSourceInformation;
	}

	public void setDataSourceInformation(String dataSourceInformation) {
		this.dataSourceInformation = dataSourceInformation;
	}

}
